Commet
  • Pricing
Log InTry out
Create pricing market group POSTDelete pricing market group DELETEGet pricing market group GETList pricing market groups GETUpdate pricing market group PATCH
System status
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Delete pricing market group

Delete an unused pricing market group. Groups referenced by prices or subscriptions cannot be deleted.

DELETE
/pricing/market-groups/{id}

Delete an unused pricing market group. Groups referenced by prices or subscriptions cannot be deleted.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/pricing/market-groups/string"
{  "id": "string",  "deleted": true,  "object": "string",  "livemode": true}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "details": null,    "doc_url": "string"  }}

Create pricing market group POST

Create a reusable country group under the pricing namespace. Creating a group does not require a plan or price. Countries can belong to only one active group; each price chooses its currency independently.

Get pricing market group GET

Get one reusable pricing market group.